export function genActiveRule(routerPrefix) {
  return location => location.pathname.startsWith(routerPrefix);
}
export default {
  dev: [
    {
      name: 'web4_console',
      entry: `//${window.location.hostname}:3020/civweb4`,
      container: '#micro-container',
      activeRule: genActiveRule('/civbase/civweb4'),
      props: {},
    },
    // {
    //   name: 'civweb5',
    //   entry: `//${window.location.hostname}:3002/civbase/civweb5`,
    //   container: '#micro-container',
    //   activeRule: genActiveRule('/civbase/civweb5'),
    // },
  ],
  prod: [
    {
      name: 'web4_console',
      entry: `//${window.location.host}/civweb4`,
      container: '#micro-container',
      activeRule: genActiveRule('/civbase/civweb4'),
      props: {},
    },
  ],
};
